Subject: Re: top is gone
From: [email-masked]
To: Fred Ma <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Jun 2003 09:15:03 +0200

Fred,

I think top is part of the procps package. Try installing that.

Regards,

Jurgen

Fred Ma <[email-masked]>
Sent by: 
[email-masked]
06/20/2003 08:53 AM

        To:     [email-masked]
        cc:     (bcc: Jurgen Defurne/BRG/CE/PHILIPS)
        Subject:        top is gone
        Classification: 

Hello,

Today, I came in and found a Kerio firewall warning
that someone from Australia (other side of world)
tried to connect the the sshd process (part of
cygwin).  No problem, just deny access.  Then I
tried to run "top" and the command was not recognized.
That's weird.  xterms don't give me the expected
popup menus when I control-click.  I checked the task
manager, and no weird processes except maybe crypserv
and regsvc, both of which can be disabled according
Black Viper (I'll do that as soon as I figure out how).

But the missing "top" was strange enough that I
wiped out the entire c:\cygwin tree and reinstalled
it from scratch.  Just to be safe.  For some reason,
top is still unrecognized, even after "hash -r".
There is no top in /usr/bin, and nothing in
/usr/local/bin.  There is no top to select in the
cygwin setup table.  There is no top command in
the bash man page.  And there is no other posting
about the missing top command in the mailing list
archive.  A file search for top starting from
c:\cygwin turns up nothing relevant.

What path is top suppose to be in?  Are there any
known reasons why it would just disappear like that?
I just spent the whole night trying to get my
environment back (not finished yet), and I wonder
if it might have been something simple I'm overlooking.

Fred
-- 
Fred Ma, [email-masked]
Carleton University, Dept. of Electronics
1125 Colonel By Drive, Ottawa, Ontario
Canada, K1S 5B6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/